View Issue Details

IDProjectCategoryView StatusLast Update
0002136XdebugStep Debuggingpublic2022-11-10 09:50
Reporterbarel Assigned Toderick  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformUbuntu 
Product Version3.1.5 
Fixed in Version3.2.0RC2 
Summary0002136: Duplicate line/conditional breakpoints are not rejected
Description

If you set two breakpoints in the same line and then do a breakpoint_list command, you will receive two copies of the first breakpoint instead of receiving the info for both breakpoints

Steps To Reproduce

Run the test xdebug/tests/debugger/bug01388-01.phpt The response to the last breakpoint_list command is

<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug&quot; command="breakpoint_list" transaction_id="9"><breakpoint type="line" resolved="unresolved" filename="file://bug01388-01.inc" lineno="4" state="enabled" hit_count="0" hit_value="0" id="{{PID}}0001"></breakpoint><breakpoint type="line" resolved="unresolved" filename="file://bug01388-01.inc" lineno="4" state="enabled" hit_count="0" hit_value="0" id="{{PID}}0001"></breakpoint></response>

As you can see this response contains two copies of the same breakpoint. I would have expected to see:

<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug&quot; command="breakpoint_list" transaction_id="9"><breakpoint type="line" resolved="unresolved" filename="file://bug01388-01.inc" lineno="4" state="enabled" hit_count="0" hit_value="0" id="{{PID}}0001"></breakpoint><breakpoint type="line" resolved="resolved" filename="file://bug01388-01.inc" lineno="4" state="enabled" hit_count="0" hit_value="0" id="{{PID}}0002"></breakpoint></response>

TagsNo tags attached.
Operating System
PHP Version7.4.30-7.4.39

Activities

derick

2022-11-08 16:47

administrator   ~0006442

The solution that I picked was to not allow duplicate line/conditional breakpoints instead. These are pretty pointless, and most IDEs won't allow their UI to do this anyway.

PR @ https://github.com/xdebug/xdebug/pull/867

Issue History

Date Modified Username Field Change
2022-11-04 07:45 barel New Issue
2022-11-04 16:00 derick Assigned To => derick
2022-11-04 16:00 derick Status new => acknowledged
2022-11-08 16:47 derick Summary Breakpoint info duplicated => Duplicate line/conditional breakpoints are not rejected
2022-11-08 16:47 derick Note Added: 0006442
2022-11-08 17:06 derick Status acknowledged => closed
2022-11-08 17:06 derick Resolution open => fixed
2022-11-08 17:06 derick Fixed in Version => 3.2dev
2022-11-10 09:50 derick Fixed in Version 3.2dev => 3.2.0RC2